Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:36 2009

## Asterisk developer's documentation

# dtmf_detect_state_t Struct Reference

Collaboration diagram for dtmf_detect_state_t:

[legend]

## Data Fields

goertzel_state_t | col_out [4]
int | current_digits
int | current_sample
int | detected_digits
int | digit_hits [16]
char | digits [MAX_DTMF_DIGITS+1]
float | energy
int | fax_hits
goertzel_state_t | fax_tone
int | hits [3]
int | lost_digits
int | mhit
goertzel_state_t | row_out [4]

## Detailed Description

Definition at line 178 of file dsp.c.

## Field Documentation

goertzel_state_t col_out[4]

Definition at line 181 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

int current_digits

Definition at line 204 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dsp_getdigits(), ast_dsp_process(), ast_dtmf_detect_init(), and dtmf_detect().

int current_sample

Definition at line 200 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

int detected_digits

Definition at line 205 of file dsp.c.

Referenced by ast_dtmf_detect_init(), and dtmf_detect().

int digit_hits[16]

Definition at line 207 of file dsp.c.

Referenced by dtmf_detect().

char digits[MAX_DTMF_DIGITS+1]

Definition at line 202 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dsp_getdigits(), ast_dsp_process(), ast_dtmf_detect_init(), and dtmf_detect().

float energy

Definition at line 199 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

int fax_hits

Definition at line 209 of file dsp.c.

Referenced by dtmf_detect().

goertzel_state_t fax_tone

Definition at line 183 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

int hits[3]

Definition at line 196 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

int lost_digits

Definition at line 206 of file dsp.c.

Referenced by ast_dtmf_detect_init(), and dtmf_detect().

int mhit

Definition at line 198 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

goertzel_state_t row_out[4]

Definition at line 180 of file dsp.c.

Referenced by ast_dsp_digitreset(), ast_dtmf_detect_init(), and dtmf_detect().

The documentation for this struct was generated from the following file:

- dsp.c